<?
/**
 * VoiceOne Settings/Numbers
 *
 * Frontend to provide access to the numbering system in voiceone.
 * @package voiceone
 * @subpackage  settings_number
 */
 
  include ("../../../admin/config/cfg.php");
  global $cwlang;
  
  //=================== GET ===================
  $alert=getAlert();
  // del dial pattern
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delPhoneNumber($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".T_("The Dial Pattern has been deleted")."</div>";
    else $alert="<div class=\"AlertBad\">".T_("The Dial Pattern hasn't been deleted")."</div>";
    goToMainPage($alert,"./");
  }
  
  //================ PAGE LOGIC ================
  $ret=$asterisk->getPhoneNumber(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $html.="<td> <a href=\"edit/?id=$id\">$name</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('".sprintf(T_("Are you sure to remove the dial pattern %s ?"),$name )."')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  
  //================ MAIN CONTENTS ================
  ob_start();
  $sel="dialpattern";include("../navigation.php");
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=T_("Dial Patterns")?></h1>
    <h3>
      <a href="edit/" class="admin" ><?=T_("New Dial Pattern")?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>     
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
    <div class="Sidebar">
      <h1><?=T_("Informations")?></h1>
      <p><?=T_("This page shows the dial patterns configured on the system. To create a new dial patterns follow the link under the section title, otherwise click on an existing dial pattern to edit it or on the basket on the right of the name to delete it.")?></p>  
    </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "rules");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>
